<ion-header>
  <ion-toolbar class="fx-toolbar">
    <ion-buttons slot="start">
      <ion-back-button class="text-white" defaultHref="chapter"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content class="bg-light">
  <section class="fullwidth-banner">
    <ion-row>
      <ion-col size="12" class="ion-no-padding">
        <img src="assets/courses/thumb.png">
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding no-padding-bottom">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" class="no-padding-bottom">
            <ion-text class="title">
              Fundamentals of Mathematics
            </ion-text>
          </ion-col>
          <ion-col size="12">
            <ion-row>
              <ion-col size="4">
                <ion-text class="sub-title">
                  Arjun Thori
                </ion-text>
              </ion-col>
              <ion-col size="8">
                <div class="rating-icon">
                  <ion-icon name="star"></ion-icon>
                  <ion-icon name="star"></ion-icon>
                  <ion-icon name="star"></ion-icon>
                  <ion-icon name="star"></ion-icon>
                  <ion-icon name="star" color="light"></ion-icon>
                  4.0
                </div>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="12">
            <ion-text class="title title-sm">
              ₹ 299 /-
            </ion-text>
          </ion-col>
          <ion-col size="12">
            <div class="vertical-line"></div>
          </ion-col>
          <ion-col size="12">
            <ion-row>
              <ion-col size="9" class="vertical-align ion-justify-content-start">
                <ion-text class="sub-title">
                  Description
                </ion-text>
              </ion-col>
              <ion-col size="3" class="vertical-align ion-text-end">
                <div class="collapse-btn">
                  <ion-icon name="remove"></ion-icon>
                </div>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="12">
                <ion-text class="phra">
                  This 186-lesson course includes video and text
                  explanations of everything from the Fundamentals,
                  and it includes 48 quizzes (with solutions!) and an
                  additional 9 workbooks with extra practice problems,
                  to help you test your understanding along the way.
                  Master the Fundamentals of Math is organized
                </ion-text>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="12">
            <div class="vertical-line"></div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding no-padding-top" *ngIf="activeSection === 'course'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="sub-title">
          Course Content
        </ion-text>
      </ion-col>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <div class="scroll-overflow">
          <div class="scroll-topic" *ngFor="let topic of topics; let i = index" >
            <ion-card class="topicmenu-card" (click)="activateTopic(topic)" [ngClass]="{'active_card': topic.active === true}">
              <ion-row>
                <ion-col size="12">
                  <div class="tpoicmenu-image">
                    <img [src]="topic.image">
                  </div>
                </ion-col>
                <ion-col size="12">
                  <ion-text class="sub-title">
                    {{topic.title}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-card>
          </div>
        </div>
      </ion-col>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" *ngFor="let content of contents; let i = index">
        <ion-card class="topic-card animated fadeInUp delay-1s">
          <ion-row>
            <ion-col size="2" class="vertical-align">
              <div class="topic-icon vertical-align">
                <ion-icon [name]="(content.isPurchased === true) ? 'play': 'lock'"></ion-icon>
              </div>
            </ion-col>
            <ion-col size="10" class="vertical-align ion-justify-content-start">
              <ion-text class="topic-title">{{content.title}}</ion-text>
            </ion-col>
          </ion-row>
        </ion-card>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeSection === 'purchase'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="4"*ngFor="let purchase of purchases; let i = index">
            <ion-card class="plan-card" (click)="setCard(purchase)" [ngClass]="{'active-plan-card': purchase.isActive === true}">
              <ion-row>
                <ion-col size="12" class="vertical-align">
                  <ion-text class="plan-duration">
                    <span>{{purchase.noMonth}}</span>
                    {{purchase.month}}
                  </ion-text>
                </ion-col>
                <ion-col size="12" class="vertical-align">
                  <div class="price-btn">
                    ₹ {{purchase.price}} /-
                  </div>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="!isEmpty(buyCard)">
          <ion-col size="12">
            <div class="purchase-cart-strip ion-margin-top">
              <ion-row>
                <ion-col size="8">
                  <div class="row">
                    <ion-col size="12" class="no-padding-bottom vertical-align ion-justify-content-start">
                      <ion-text class="title title-sm text-white">
                        Check Out
                      </ion-text>
                    </ion-col>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="sub-title sub-title-sm text-white">
                        Grand Total ₹ {{buyCard.price}} /-
                      </ion-text>
                    </ion-col>
                  </div>
                </ion-col>
                <ion-col size="4" class="vertical-align ion-justify-content-end ion-text-end">
                  <div class="cart-btn">
                    <img src="assets/icon/angle-right.png">
                  </div>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>
</ion-content>
<ion-footer>
  <ion-toolbar class="footer-toolbar">
    <section class="ion-padding-horizontal buy-now-strip" *ngIf="activeSection === 'course'">
      <ion-row>
        <ion-col class="ion-no-padding">
          <ion-row>
            <ion-col size="7" class="vertical-align ion-justify-content-start">
              <ion-text class="title title-sm text-white">
                Total Price : ₹ 599 /-
              </ion-text>
            </ion-col>
            <ion-col size="5" class="vertical-align">
              <div class="mybtn2 btn-white" (click)="buyClick()">
                Buy Now
              </div>
            </ion-col>
          </ion-row>
        </ion-col>
      </ion-row>
    </section>
  </ion-toolbar>
</ion-footer>
